EDIT - task #9950

remove Scriptler Plug-in
02/21/2022 04:38 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 0%
Category: devOps Estimated time: 0:00 hour
Target version: Release 5.44

Severity: normal

Description

The scriptler plugin is to be replaced by the groovy plugin see the description of #9513 for more details on how and why.
Usages of scripter in (found by find ~jenkins/jobs/ -maxdepth 2 -name config.xml -exec grep -l 'scriptler' {} \;)
edit-jobber-1

./TRIGGER-cdmserver-reindex (BACKUP) /config.xml
./cdmserver-deploy-index/config.xml
./cdmserver-reindex/config.xml
./jenkins—groovy-scripts/config.xml
./test/config.xml
./cdmserver-drop—-index/config.xml
./cdmserver-reindex-multiple/config.xml

edit-test

var/lib/jenkins/jobs/jenkins—-groovy-scripts/config.xml

edit-int

/var/lib/jenkins/jobs/cdm-webapp-HFX-FINISH (BACKUP) /config.xml
/var/lib/jenkins/jobs/jenkins—groovy-scripts/config.xml
/var/lib/jenkins/jobs/cdmlib-HFX-FINISH (Backup)/config.xml

/var/lib/jenkins/jobs/cdm-vaadin-HFX-FINISH (BACKUP)/config.xml
/var/lib/jenkins/jobs/cdm-server—HFX-FINISH (Backup)/config.xml

Related issues:
Related to EDIT - task #9513: "table to div regression": replace scriptler + ... Closed

History

#1 - 02/21/2022 04:39 PM - Andreas Kohlbecker

- Related to task #9513: "table to div regression": replace scriptler + dynamic parameter plugins added

#2 - 02/21/2022 04:45 PM - Andreas Kohlbecker
- Description updated

- Target version changed from Unassigned CDM tickets to Release 5.45

#3 - 07/04/2022 06:50 PM - Andreas Miuller

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

#4 - 07/04/2022 06:51 PM - Andreas Miuller

- Target version changed from Release 5.45 to Release 5.32

#5 - 07/29/2022 08:18 PM - Andreas Miuller

- Target version changed from Release 5.32 to Release 5.33

#6 - 08/02/2022 11:37 PM - Andreas Miuller
https://plugins.jenkins.io/groovy/
https://dev.e-taxonomy.eu/redmine/issues/9513

- Priority changed from New to Highest

#7 - 09/08/2022 01:55 PM - Andreas Miiller
- Priority changed from Highest to Priority14

#8 - 10/11/2022 08:57 AM - Andreas Miiller

- Target version changed from Release 5.33 to Release 5.35

#9 - 01/05/2023 03:23 PM - Andreas Miiller

- Target version changed from Release 5.35 to Release 5.44
